Bug 5129 - telling binary cifs module version
telling binary cifs module version
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: user space tools
2.6
All Linux
: P3 major
: ---
Assigned To: Karolin Seeger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 14:31 UTC by gin
Modified: 2009-09-10 01:33 UTC (History)
1 user (show)

See Also:


Attachments
Adds comments in mount.cifs helper manpage about how to obtain cifs module version (559 bytes, patch)
2009-08-26 16:17 UTC, Shirish S. Pargaonkar
no flags Details
Adds comments in mount.cifs helper manpage about how to obtain cifs module version (559 bytes, patch)
2009-08-26 16:18 UTC, Shirish S. Pargaonkar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gin 2007-12-07 14:31:38 UTC
cifs module for linux kernel is reported to be actively developed.
Still, as of samba 3.0.27a, there is no documented way to figure the
version of the module `mount.cifs' actually uses.  (If `cifs' kernel
implements such an interface feature for user mode programs, samba
documentation does not say so anyway.)  One has to look at source to
do so.  Generally it will involve pretty complex procedure.

Even in the best, if kernel is built straight from single (upstream)
source package (which nearly never happens in practice), one has to at
least download all of that package (pretty much network bandwidth and
disk space in itself).  If source to build from is obtained in a more
complex way, like applying patches, possibly including complete new
version of the module in question, one generally has to follow all of
that source preparation procedure in binary package build
specification.  (Replacing version bundled with kernel with complete
new one?  After all, what else separate packages linked in
<http://linux-cifs.samba.org/cifs/cifs_download.html> are for?)

So, unless the module reports its version itself, figuring it may be
very time consuming.

Let alone figuring whether binary kernel module implements more
specific features.  (Including, but hardly limited to authentication
with ntlmv2 password hashing.)
Comment 1 Steve French 2009-05-14 17:43:23 UTC
Seems like a reasonable request.  Presumably we should update mount.cifs man page to note what the mount.cifs --help shows

To display the version number of the mount helper:
	mount.cifs -V

and also add text to say something like to retrieve the version of the cifs kernel module:

 modinfo /lib/modules/2.6.30/kernel/fs/cifs/cifs.ko

or "cat /proc/fs/cifs/DebugData"
Comment 2 Shirish S. Pargaonkar 2009-07-21 20:19:07 UTC
Are any of the options mentioned by Steve such as these, sufficient?

modinfo /lib/modules/2.6.30/kernel/fs/cifs/cifs.ko

cat /proc/fs/cifs/DebugData
Comment 3 Shirish S. Pargaonkar 2009-08-26 16:17:02 UTC
Created attachment 4597 [details]
Adds comments in mount.cifs helper manpage about how to obtain cifs module version

Added info a about obtaining cifs mount helper version and cifs module version
Comment 4 Shirish S. Pargaonkar 2009-08-26 16:18:18 UTC
Created attachment 4598 [details]
Adds comments in mount.cifs helper manpage about how to obtain cifs module version

Added info a about obtaining cifs mount helper version and cifs module version
Comment 5 Volker Lendecke 2009-09-09 16:12:49 UTC
Thanks, pushed to master. Next time, you might want to use "git format-patch", this way you get the credits :-)

Karolin, IMO this is harmless for 3.4.2 :-)

Volker
Comment 6 Volker Lendecke 2009-09-09 16:14:04 UTC
Sorry Karo, forgot to mention the bug number in the checkin message: The hash in master is a224392649ffb.

Volker
Comment 7 Karolin Seeger 2009-09-10 01:33:51 UTC
Pushed, will be included in 3.4.2.
Closing out bug report.

Thanks!